Journal Xfce 4.8 est là !

Posté par (page perso) .
Tags : aucun
25
17
jan.
2011
Cher tous,

Ce dimanche 16 est sorti la version 4.8 de Xfce, après 2ans de développement et 3 pre release (la 4.6 étant sortie en février 2009).
Plusieurs nouveautés, dont un nouveau panel, portage de thunar/xfdesktop vers gio (permettant l'utilisation des partages réseau dans thunar), utilisation de consolekit/udisk ,
expulsion de HAL, apparition de libxfce4ui (remplacement de libxfcegui4), garcon (gestion des menus), tumbler (thumbnailer) , support dual screen amélioré, et plein de bonnes choses.

L'annonce officielle avec plus de détails : http://www.xfce.org/about/news/?post=1295136000
Vous noterez que le site est tout beau tout neuf! La gestion des miroirs a été amélioré, permettant d'éviter une saturation complète pour la release.

Quelques screenshots: http://www.xfce.org/about/tour

Le projet avance lentement mais sûrement, une association "Xfce" devrait voir le jour en 2011 (voir http://foo-projects.org/pipermail/xfce/2010-October/027644.h(...) ) permettant de mieux gérer les dons, l'organisation d’événements etc.
La création devrait se faire au Fosdem 2011 ( http://gezeiten.org/post/2011/01/Attending-FOSDEM-2011 ).

Il y a déjà des idées pour la 4.10 ( http://wiki.xfce.org/releng/4.10/schedule#roadmap_planned_fe(...) ), n'hésitez pas à venir nous aider ! (et oui, le projet manque de "core dev", donc toute bonne âme sera appréciée).
De manière générale, des informations sont publiées sur le "planet" : http://blog.xfce.org/


Enjoy !
  • # ah ah

    Posté par (page perso) . Évalué à 8.

    garcon (gestion des menus)
    ah ah, ça c'est un nom qu'il est bien trouvé :D

    En tout cas XFCE m'a permis d'utiliser correctement un netbook pendant 1 an alors que Kde était poussif dessus (Kde que j'adore soit dit en passant, malgré sa stabilité aléatoire chez moi). Super projet.

    PS: pourquoi ce n'est pas en dépêche ?
    • [^] # Re: ah ah

      Posté par . Évalué à 10.

      Les petits gars de chez XFCE ne sont pas les plus nuls pour trouver des noms. Il n'y a qu'à voir le logiciel Gigolo, qui peut tout monter :-)

      Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

    • [^] # Re: ah ah

      Posté par (page perso) . Évalué à 5.

      >>> PS: pourquoi ce n'est pas en dépêche ?

      Personne n'a proposé de dépêche pour l'"instant.
      • [^] # Re: ah ah

        Posté par (page perso) . Évalué à 4.

        >>> PS: pourquoi ce n'est pas en dépêche ?
        En effet, je ne l'ai pas proposé en dépêche (pas assez complet à mon goût) , je vois ça ce soir pour compléter / étoffer et le proposer si personne ne l'a fait.
    • [^] # Re: ah ah

      Posté par (page perso) . Évalué à 2.

      Petit aparté, mais c'est "Xfce", avec une capitale (c'est bien comme ça qu'on dit dans ce cas ?) sur la première lettre uniquement.

      Sinon effectivement cette version a l'air très aléchante... J'espère sincèrement que Pat Volkerding va regarder pour intégrer cette version dans slackware-current pour la prochaine 13.2, et donc pour que ce soit disponible sous Salix 13.2. J'ai un doute. Il n'a pas mis à jour le kernel non plus... Dommage :(
      • [^] # Re: ah ah

        Posté par . Évalué à 3.

        D'après AlienBob, Xfce 4.8 et kde 4.6 ne seront pas inclus dans la futur Slackware à cause de la suppression de HAL. Après, il faut voir.

        Sinon, Rworkman a fait des packets pour Slackware -current : [http://connie.slackware.com/~rworkman/xfce-4.8.0/]
        • [^] # Re: ah ah

          Posté par . Évalué à 4.

          Dire que Patrick a longtemps traîné les pieds avant que HAL soit intégré à Slackware. Ironique.

          The capacity of the human mind for swallowing nonsense and spewing it forth in violent and repressive action has never yet been plumbed. -- Robert A. Heinlein

      • [^] # Re: ah ah

        Posté par . Évalué à 1.

        Pour poursuivre le commentaire du dessus :), les dépendances que Xfce 4.8 demande (Gconf et ses copains...) semblent aussi poser problème à Pat. Enfin bon, KDE4, que Pat adore, en a ajouté beaucoup d'autres, aussi.

        (Quant au noyau, des régressions assez graves ont été signalées sur LinuxQuestions (le forum officieux des Slackers) pour les noyaux 2.6.36 et 2.6.37. Ça doit être pour cela que Pat ne se jette pas dessus (on n'est pas vendredi donc je vais éviter de dire quelque chose sur Arch), mais le fait que le 2.6.35 soit maintenu plus longtemps doit aussi jouer.
        Ce qui ne veut pas dire que Pat ne passera pas au 2.6.37 quand celui-ci aura un peu mûri.)

        GRUB3 will be Elisp serialized as XML jited to JVM running as Eclipse plugin on a Mac running in a virtual PC in a Xen instance on a 286er.

        • [^] # Re: ah ah

          Posté par (page perso) . Évalué à 2.

          les dépendances que Xfce 4.8 demande (Gconf et ses copains...) semblent aussi poser problème à Pat

          gconf n'est pas un pré-requis obligatoire pour Xfce, c'est juste la dépendance pour certaines fonctionnalités, par exemple pour gvfs …
    • [^] # Re: ah ah

      Posté par . Évalué à 1.

      Mais si t'enlèves la cédille ça fait...

      J'ai honte ---> [_]
  • # Eject button

    Posté par . Évalué à 3.

    Eject button for removable devices

    \o/ J'avais vu ça sur les Aspire one, ou thunar avait été modifié pour ajouter ce bouton. C'est le genre de tout petit détail hyper pratique qui simplifie la vie

    Merci XFCE
  • # WM léger

    Posté par (page perso) . Évalué à 9.

    XFCE est vraiment pas mal. J'aimerais bien un gestionnaire de fenêtre léger basé sur C++/Qt qui soit à KDE ce que XFCE (voire LXDE), basé sur C/GTK+, est à GNOME.
    • [^] # Re: WM^VDE léger

      Posté par (page perso) . Évalué à 5.

      Environnement de bureau, pas gestionnaire de fenêtres...
      • [^] # Re: WM^VDE léger

        Posté par (page perso) . Évalué à 2.

        Ben en fait j'avais justement utilisé le terme Gestionnaire de fenêtres au lieu de DE car je pensais à quelque chose de plus orienté vers une gestion... de fenêtres, avec quelques applications en plus (un peu comme enlightenment, window maker etc), et pas forcément le gros pack qui fait tout :)
        Mais sinon je suis d'accord.
  • # Putain, deux ans !

    Posté par . Évalué à -1.

    Deux ans pour passer d'une 2.6 à une 2.8, c'est un peu inquiétant, non ?

    Je ne suis pas utilisateur de XFCE, mais j'espère pour les devs que le projet n'est pas en train de mourir dans leurs bras.
    Voir périr son travail, surtout un projet d'une telle ampleur, ça doit être difficile à avaler.
    • [^] # Re: Putain, deux ans !

      Posté par . Évalué à 4.

      %s/2/4/g

      e17 n'est pas encore sorti alors que e16 est sorti il y a plus de 5 ans. C'est pas pour ça que le projet est entrain de mourir. Lenny est sorti il y a 2 ans (14 février 2009) et le projet Debian n'est pas à l'agonie.

      Tous les contenus que j'écris ici sont sous licence CC0 (j'abandonne autant que possible mes droits d'auteur sur mes écrits)

      • [^] # Re: Putain, deux ans !

        Posté par (page perso) . Évalué à 4.

        Tu as tout faux:

        DEBIAN IS DYING!!!
        • [^] # Re: Putain, deux ans !

          Posté par . Évalué à 2.

          Je ne peux pas te laisser dire cela.
          Debian est une distribution vivante, dont le paradigme est de fournir la meilleure qualité sans se soucier d'un quelconque rythme commercial dicté par des marketteux.

          Alors je le proclame :
          DEBIAN IS ALIVE !!!
        • [^] # Re: Putain, deux ans !

          Posté par . Évalué à 7.

          J'écoute pas les partouzeurs de droite.

          Tous les contenus que j'écris ici sont sous licence CC0 (j'abandonne autant que possible mes droits d'auteur sur mes écrits)

        • [^] # Re: Putain, deux ans !

          Posté par (page perso) . Évalué à 3.

          Mais mais...
          Pourquoi vouloir faire croire que feu Debian est mourante :)
    • [^] # Re: Putain, deux ans !

      Posté par . Évalué à 4.

      il y a un kernel 2.8 et patrick_g n'a pas fait de dépêche ?!?
    • [^] # Re: Putain, deux ans !

      Posté par . Évalué à 3.

      L'équipe de développeurs de Xfce est plutôt petite, et les effectifs se sont encore plus réduits dernièrement :
      http://gezeiten.org/post/2010/01/Xfce-4.8-Schedule-Changes

      Et il y a tout le nettoyage de HAL qui semble avoir demandé beaucoup de temps, aussi.

      Bref, justement, content qu'ils aient tout de même pu sortir cette nouvelle version, personnellement...

      GRUB3 will be Elisp serialized as XML jited to JVM running as Eclipse plugin on a Mac running in a virtual PC in a Xen instance on a 286er.

      • [^] # Re: Putain, deux ans !

        Posté par (page perso) . Évalué à 2.

        Oui l'équipe est assez réduite, le nombre de "core dev" se comptant sur une main, même avec des doigts coupés (après il y a pas mal de petits contributeurs, mais il faut le temps de faire les reviews des patchs etc)

        Pendant ces 2 ans il a tout de même eu des releases mineurs de la 4.6 afin de corriger des bugs.
      • [^] # Re: Putain, deux ans !

        Posté par . Évalué à 1.

        Bon bon, c'est rassurant, alors.

        Par contre c'était pas la peine de me moinser, ça n'était qu'une question !
    • [^] # Re: Putain, deux ans !

      Posté par . Évalué à 3.

      Ah ouai grave!

      En fait tu voulais dire 2 ans pour passer de 4.6 à 4.8. C'est bien un signe que Xfce se porte mal.

      Mais je te dis pas dans quel sale état est le Kernel Linux, qui lui n'est toujours pas passé de .6 à .8 depuis fin 2003!!
      Je crois que là il est à l'agonie!
      • [^] # Re: Putain, deux ans !

        Posté par . Évalué à 3.

        Rhâââ, arrêtez de me prendre pour un idiot !

        Ce n'est pas une question de numéro de version (que je j'ai d'ailleurs même pas été fichu de recopier correctement, mais bref).
        Vu la façon dont ça a été formulé dans le journal, ça laisse penser qu'il n'y a pas eu d'autres versions entre la 4.6 et l'actuelle (contrairement à Linux), si ce n'est quelques mises à jour de sécurité.
        Le journal lui-même reconnait que ça avance lentement (« Le projet avance lentement mais sûrement »).

        Deux ans pour passer d'une version à une autre, c'est ça qui me semble inquiétant. Si j'ai tort, tant mieux. Je ne suis pas en train de troller : j'ai moi-même subi la mort d'un projet dans lequel j'ai investi beaucoup de temps, et je sais à quel point ça fait mal au c*l.

        Enfin, comme le dit le journal, le projet avance lentement, mais sûrement. Si c'est le cas, c'est bien ce qui compte. Peut-être que cette période de deux ans a servi de refactoring chronophage mais nécessaire, et que le rythme de croisière va de nouveau pouvoir reprendre.
        • [^] # Re: Putain, deux ans !

          Posté par . Évalué à 2.

          Mais non, on taquine, c'est tout!

          C'est vrai que Xfce, en termes de "ressources humaines", est un nain comparé à KDE ou Gnome.

          Mais finalement, pour avoir un bureau plus léger, c'est peut-être mieux, parce que du coup ils doivent bien réfléchir aux fonctionnalités qu'ils peuvent développer à si peu au lieu d'avoir 1000 "petits trucs en plus" qui vont plomber le tout à la fin.
          • [^] # Re: Putain, deux ans !

            Posté par . Évalué à 2.

            Ouais, c'est pas faux*.

            Déjà, en n'ayant pas de navigateur Web, lecteur vidéo, lecteur audio, (…) officiels à leur DE, ça leur fait du boulot en moins. Et en plus c'est KISS.


            (*) Perceval unintended
            • [^] # Re: Putain, deux ans !

              Posté par . Évalué à 2.

              Navigateur Web : y'a midori, cf http://www.xfce.org/projects

              Lecteur Video/Audio : http://goodies.xfce.org/projects/applications/parole
              • [^] # Re: Putain, deux ans !

                Posté par . Évalué à 2.

                Bon.

                On va dire que je vais arrêter de poster dans ce journal, ça ira mieux ^^.
                • [^] # Re: Putain, deux ans !

                  Posté par . Évalué à 2.

                  Pour ta défense, Midori est un projet qui n'a pas du tout été démarré avec l'idée de faire un navigateur pour Xfce, mais un navigateur léger.

                  Ce n'est que plus tard que Xfce s'est dit que Midori était probablement ce qui collait le mieux au DE dans l'esprit.

                  Le développeur de Midori ne souhaite pas (ou alors j'ai raté un épisode) ajouter de dépendance autre que Gtk, donc entre autre, dépendance aux bibliothèques Xfce.
  • # "panel" enfin en dessous des fenêtres ?

    Posté par . Évalué à 2.

    il y a plusieurs années de cela (environ 5 ou 6 ans), la possibilité de placer les fenêtres des applications au dessus du "panel" a été retirée, ce qui est pourtant pratique (un bouton à cocher, je ne pense pas que cela faisait exploser la taille du code de xfce...), est-ce que ça a été rajouté depuis ?

    Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

    • [^] # Re: "panel" enfin en dessous des fenêtres ?

      Posté par . Évalué à 2.

      je me réponds à moi-même après l'avoir testé : c'est toujours pareil, donc malheureusement je ne pourrais toujours pas utiliser xfce au quotidien :(

      Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

      • [^] # Re: "panel" enfin en dessous des fenêtres ?

        Posté par . Évalué à 3.

        Nuance, Tu ne peux pas utiliser xfwm4 au quotidien. Openbox permet de définir dans quelle strate (en dessous, normale, au dessus) doit se situer une application. Il est donc possible de reproduire ce que tu souhaites en conservant plus de 90% de Xfce.

        The capacity of the human mind for swallowing nonsense and spewing it forth in violent and repressive action has never yet been plumbed. -- Robert A. Heinlein

  • # Xfce, mais pas pour BSD

    Posté par . Évalué à 6.

    Je copie/colle un extrait de l'annonce disponible à l'adresse: http://www.xfce.org/about/news/?post=1295136000

    We hope that everyone will enjoy this release as much as we do. Sadly, this will not be the case as the folks using any of the BSD systems will notice a sudden loss of features. We think that this announcement is a good opportunity to express our disagreement with the recent "Linux-only" developments in the open source ecosystem, especially with regards to the utilities we need in desktop environments.

    Grosso-modo, les utilisateurs de BSD ne pourront bénéficier de toutes les fonctionnalités de cette nouvelle version de Xfce. Par ailleurs, il semble que la raison principale de cette incompatibilité ne soit pas située au niveau du code Xfce mais plutôt sur les composants (open source ecosystem) sur lesquels s'appuis Xfce .
    • [^] # Re: Xfce, mais pas pour BSD

      Posté par (page perso) . Évalué à 3.

      C'est surtout au niveau de la partie upower/consolekit (à la place de HAL), mais il y a d'autres backends disponibles (openbsd utilise par exemple sudo).
      • [^] # Re: Xfce, mais pas pour BSD

        Posté par (page perso) . Évalué à 1.

        La vraie perte de fonctionnalité, c'est pour l'auto-montage des périphériques amovibles : c'était géré tant bien que mal par hal, mais ne l'est plus dans udisks (mais puisqu'on vous dit qu'hal c'était tout pourri et qu'udisks c'est mieux !)...
        ... donc utilisation d'udev (yay pour les *BSD \o/).

        Donc c'est "juste" thunar-volman qui ne sert plus à rien sur !Linux.
      • [^] # Re: Xfce, mais pas pour BSD

        Posté par . Évalué à 1.

        En ce qui concerne les BSD c'est surtout udisks qui fait défaut (tout comme udev, et gudev).
  • # Pas HADOPI-proof ça

    Posté par . Évalué à 3.

    Quelques screenshots: http://www.xfce.org/about/tour

    La capture montrant la copie d'épisodes de Dexter c'est limite non ? Une distro Linux ou BSD serait peut-être plus adaptée ?

    Ceci dit, longue vie à Xfce, même si c'est du GTK donc moche :)

    cd /pub && more beer

    • [^] # Re: Pas HADOPI-proofça

      Posté par . Évalué à 5.

      Je ne vois pas le problème, il a acheté légalement le DVD de Dexter et il a créé
      un .avi pour pouvoir le lire depuis son ordinateur personnel sans avoir à se
      soucier de conserver le support initial qui est encombrant et périssable.

      Ah pardon c'est pas légal, tu avais bien raison.
      • [^] # Re: Pas HADOPI-proofça

        Posté par . Évalué à 2.

        Naaaaan, il l'aurait rippé depuis son ordinateur, il en aurait fait un mkv contenant sous-titres, chapitrage et les deux pistes audio. Il aurait pas utilisé un conteneur vieux et pas joli.

        Il pouvait utiliser ogmrip pour faire ça par exemple.

        Et il les lirait sur son HTPC  avec MythTV / xbmc / mplayer.

        cd /pub && more beer

    • [^] # Re: Pas HADOPI-proof ça

      Posté par . Évalué à 2.

      Bah, si c'est rippé depuis les DVD, où se trouve le problème ?
  • # Xfce4.8...

    Posté par . Évalué à 5.

    ... Dans les dépôts officiels d'Archlinux le jour de sa sortie (http://www.archlinux.org/packages/?q=xfce4)!!!!

    => C'est de la réactivité ça!!!

    Ce soir un petit yaourt -Syu de prévu!
    • [^] # Re: Xfce4.8...

      Posté par . Évalué à 5.

      on avait pourtant dit qu'on ne vantait plus l'indéniable supériorité d'Archlinux ici, ça frustre les debianneux aigris qui devront encore attendre 2 ans et la sortie de Wheezy avant d'avoir cette version de xfce dans leur distribution...

      Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

      • [^] # packa

        Posté par . Évalué à 3.

        On s'en fout, on a déjà des morceaux de GNOME 3 :-þ

        http://packages.debian.org/experimental/gnome-shell
        http://packages.debian.org/experimental/nautilus

        Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

      • [^] # Re: Xfce4.8...

        Posté par . Évalué à 5.

        C'est vrai que les utilisateurs Debian sont punis:
        Ils n'auront pas droit aux bugs de jeunesse et à une intégration totalement inexistante à leur distro.
        Dur!

        PS: C'est que t'as commencé!
        • [^] # Re: Xfce4.8...

          Posté par . Évalué à 3.

          Par « intégration à la distro », tu entends « patcher comme un goret à tort et à travers pour des raisons futiles sur un simple caprice du mainteneur du paquet », c’est bien ça ?
          • [^] # Re: Xfce4.8...

            Posté par . Évalué à 2.

            Non je veux dire faire en sorte que le paquet respecte une charte commune à tous les paquets de la distribution, pour de vrai, et contribuer au développement en vérifiant et éventuellement patchant de sorte que le code soit portable sur de multiples architectures.

            Mais c'est sûr que ça requiert plus qu'un système dont les paquets sont des Makefiles avec un wget au début.

            (On va s'écrire quoi vendredi??)
        • [^] # Re: Xfce4.8...

          Posté par . Évalué à 3.

          si c'est juste pour rajouter en "menu démarrer" un logo créé avec une brosse d'Illustrator, je me passe bien de ce genre d'intégration :)

          Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

  • # Killer feature

    Posté par (page perso) . Évalué à 1.

    "With Xfce 4.8 our users will be able to browse remote shares using a variety of protocols (SFTP, SMB, FTP and many more)."

    Soit :

    "Avec Xfce 4.8 nos utilisateurs seront en mesure de parcourir les partages à distance en utilisant une variété de protocoles (SFTP, SMB, FTP et bien d'autres)."

    C'est tout ce qui me manquait pour me passer de Gnome et nautilus. \o/

    Sed fugit interea, fugit inreparabile tempus, singula dum capti circumvectamur amore

    • [^] # Re: Killer feature

      Posté par . Évalué à 1.

      Gigolo le faisait déjà, et avec Thunar je pouvais accéder en ssh sur mon serveur.

      Je parle au passé car j'utilise FreeBSD et avec l'absence de udisks, je n'ai plus accès à cette fonctionnalité.
      • [^] # Re: Killer feature

        Posté par . Évalué à 2.

        udisks n'a absolument rien a voir avec le fait de pouvoir accéder en sftp a un partage réseau, c'est gvfs/gio qui gère ca.

        Pour info, ca marche sur OpenBSD pour les connections ssh déja ouvertes (sans parler de ftp/smb), et je creuse pour que ca marche pour les nouvelles connections.
      • [^] # Re: Killer feature

        Posté par (page perso) . Évalué à 1.

        Gigolo était pratique (lire : il n'y avait rien d'autre), mais maintenant, c'est totalement transparent.

        Tu tapes directement l'adresse dans la barre d'URI et c'est joué.

        Sed fugit interea, fugit inreparabile tempus, singula dum capti circumvectamur amore

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.